Bug 270450 - add a wallet as a distinct account
Summary: add a wallet as a distinct account
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 5 votes (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 18:20 UTC by Wojciech Ryrych
Modified: 2011-04-16 11:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wojciech Ryrych 2011-04-08 18:20:24 UTC
Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

We discussed it in KDE forum (http://forum.kde.org/viewtopic.php?f=20&t=92213)

gist:

* Treat wallet as a specific type of account, with no bank associated, and that can never be reconciled

* Provide a function that asks you how much do you still have in your wallet, and that will create a "fake" operation in Skrooge (category of expense: to be setup by the user) so that amounts are aligned.

* Add a function to draw cash from an account (a kind of transfer, in fact)
There might be several wallets (wife, husband, kids...). It should be possible to transfer money from a wallet to another

but please read the whole thread. :)

Reproducible: Didn't try
Comment 1 Raphaël Jadot 2011-04-10 22:20:30 UTC
Hello, I totally agree.
I often use cash for paying many things, not just 10 or 20 but 300 or 400 for a month :)
I would like to consider cash reserves as an account: an account that can never be negative, of course

Raphaël
Comment 2 Stephane MANKOWSKI 2011-04-11 09:57:22 UTC
Git commit 474e7f226bab3340059a6b599ec9144d69bc5749 by Stephane Mankowski.
Committed on 11/04/2011 at 10:00.
Pushed by smankowski into branch 'master'.

BUG: 270450: add a wallet as a distinct account

M  +1    -0    CHANGELOG     
M  +10   -1    skgbankgui/skgobjectmodel.cpp     
M  +2    -2    skgbankmodeler/skgaccountobject.cpp     
M  +2    -1    skgbankmodeler/skgaccountobject.h     
M  +44   -11   skgbankmodeler/skgdocumentbank.cpp     
M  +2    -2    skgbankmodeler/skgimportgnc.cpp     
M  +2    -2    skgbankmodeler/skgimportkmy.cpp     
M  +4    -1    skgbasegui/skgmainpanel_base.ui     
M  +1    -1    skgbasemodeler/skgnamedobject.cpp     
M  +13   -0    skrooge_bank/skgaccountboardwidget.cpp     
M  +1    -0    skrooge_bank/skgaccountboardwidget.h     
M  +37   -19   skrooge_bank/skgbankpluginwidget.cpp     
M  +28   -12   skrooge_bank/skgbankpluginwidget_base.ui     
M  +5    -6    skrooge_categories/skgcategoriespluginwidget.cpp     
M  +51   -0    skrooge_operation/skgoperationpluginwidget.cpp     
M  +1    -0    skrooge_operation/skgoperationpluginwidget.h     
M  +71   -34   skrooge_operation/skgoperationpluginwidget_base.ui     
M  +112  -71   tests/input/skgtestimportgnucash/test_data.uncompressed     
M  +-    --    tests/input/skgtestimportkmy/mytest.kmy     

http://commits.kde.org/skrooge/474e7f226bab3340059a6b599ec9144d69bc5749
Comment 3 Wojciech Ryrych 2011-04-11 21:49:40 UTC
(In reply to comment #2)
> Git commit 474e7f226bab3340059a6b599ec9144d69bc5749 by Stephane Mankowski.
> Committed on 11/04/2011 at 10:00.
> Pushed by smankowski into branch 'master'.

Hello Stehpane!
I am really impressed how quick you did it!
Could you tell me when will it get to stable release? :)
Comment 4 Stephane MANKOWSKI 2011-04-11 22:41:43 UTC
I published a beta version today.
If you are on ubuntu, you can install it from my ppa:
http://skrooge.org/ubuntu_installation

This is not a stable version but you can use it. I am doing it !
The difference is that some strings are not translated yet.
Comment 5 Wojciech Ryrych 2011-04-15 18:32:28 UTC
(In reply to comment #4)
> I published a beta version today.
> If you are on ubuntu, you can install it from my ppa:
> http://skrooge.org/ubuntu_installation

> This is not a stable version but you can use it. I am doing it !
> The difference is that some strings are not translated yet.

Indeed, it is stable version.
Let me suggest to fade out the fields that are not relevant to a Wallet account – now they are not clickable but it is not clear. :)
Comment 6 Stephane MANKOWSKI 2011-04-16 11:17:42 UTC
Git commit 785e90b6410d9dea4ce0d78bf7a27cbdcfd6ee8a by Stephane Mankowski.
Committed on 16/04/2011 at 11:24.
Pushed by smankowski into branch 'master'.

BUG: 270450:add a wallet as a distinct account
(Hide widget useless)

M  +5    -7    skrooge_bank/skgbankpluginwidget.cpp     
M  +91   -121  skrooge_bank/skgbankpluginwidget_base.ui     

http://commits.kde.org/skrooge/785e90b6410d9dea4ce0d78bf7a27cbdcfd6ee8a